import request from '@/common/axiosHelper.js';
/* 获取签证类型 */
export function GetQianzhengDropDown() {
 
  return request({
	url: '/Requisition/GetQianzhengDropDown',
	method: 'GET'	
  })
}
/* 向签证申请表插入数据 */
export function InsertRequisition(data) { 
  return request({
		url: '/Requisition/InsertRequisition',
		method: 'POST',
		data:data
  });
}

/* 更新签证申请单 */
export function UpdateRequisition(data) { 
  return request({
		url: '/Requisition/UpdateRequisition',
		method: 'POST',
		data:data
  });
}

/* 根据项目代码获取关联合同列表 */
export function GetRelationContract(projectCode,search) { 
  return request({
		url: '/Requisition/GetRelationContract',
		method: 'get',
		params:{projectCode:projectCode,search:search}
  });
}

/* 获取签证申请单列表 */
export function GetRequisitionList(where) { 
  return request({
		url: '/Requisition/GetRequisitionList',
		method: 'get',
		params:{where:where}
  });
}


/* 获取签证申请单详情 */
export function GetRequistionDetail(reqisitionCode) { 
  return request({
		url: '/Requisition/GetRequistionDetail',
		method: 'get',
		params:{reqisitionCode:reqisitionCode}
  });
}

/* 材料出入库列表 */
export function GetMaterialIns(ProjectCode,userCode,search) { 
  return request({
		url: '/MaterialInOut/GetMaterialIns',
		method: 'get',
		params:{ProjectCode:ProjectCode,userCode:userCode,search:search}
  });
}	
	
/* 材料出入库详情 */
export function GetMaterialIn(materialInCode) { 
  return request({
		url: '/MaterialInOut/GetMaterialIn',
		method: 'get',
		params:{materialInCode:materialInCode}
  });
}		

/* 根据项目代码，用户编号获取签证申请单列表 */
export function SelectRequisitionList(projectCode,userCode,searchValue) { 
  return request({
		url: '/Requisition/SelectRequisitionList',
		method: 'get',
		params:{projectCode:projectCode,userCode:userCode,searchValue:searchValue}
  });
}

/* 根据项目代码和签证申请单号获取相应的申请单关联合同 */
export function GetRelationRequistionContract(projectCode,requisitionCode) { 
  return request({
		url: '/Requisition/GetRelationRequistionContract',
		method: 'get',
		params:{projectCode:projectCode,requisitionCode:requisitionCode}
  });
}
